/*  printer.c       setup for actual printers  */

struct pstuff printers[] = {

    "epson",
    "\x1BP\x12",    /*  pica                            */
    "\x1BM",        /*  elite                           */
    "\x0F",         /*  compressed                      */
    "\0",           /*  proportional                    */
    "\x1BW1",       /*  expanded on                     */
    "\x1BW0",       /*  expanded off                    */
    "\x1BE",        /*  boldface on                     */
    "\x1BF",        /*  boldface off                    */
    "\x1B-1",       /*  underline on                    */
    "\x1B-0",       /*  underline off                   */
    "\x1B5",        /*  italics off                     */
    "\x1B4",        /*  italics on                      */
    "\0",           /*  second alt char set             */
    "\0",           /*  graphics doesn't exist          */
    "\x0C",         /*  form feed                       */
    "\x1B2",        /*  1/6 inch                        */
    "\x1B0",        /*  1/8 inch                        */
    "\x1B@",        /*  reset printer                   */

    "prowriter",
    "\x1BN",                           /*  pica                            */
    "\x1BE",                           /*  elite                           */
    "\x1BQ",                           /*  compressed                      */
    "\x1BP",                           /*  proportional                    */
    "\x0E",                            /*  expanded on                     */
    "\x0F",                            /*  expanded off                    */
    "\x1B!",                           /*  boldface on                     */
    "\x1B\"",                          /*  boldface off                    */
    "\x1BX",                           /*  underline on                    */
    "\x1BY",                           /*  underline off                   */
    "\x1B$",                           /*  normal character set            */
    "\x1B&",                           /*  alternate char set (Greek)      */
    "\0",                              /*  second alt char set             */
    "\x1B#",                           /*  graphics char set               */
    "\x0C",                            /*  form feed                       */
    "\x1BA",                           /*  1/6 inch line spacing (normal)  */
    "\x1BB",                           /*  1/8 inch line spacing           */
    "\x1B$\x1BN\x0F\x1B\"\x1BY\x1BA",  /*  reset                           */

    "okidata-ibm",
    "\x12",            /*  0 pica (compressed off)                           */
    "\0",              /*  1 elite (not available)                           */
    "\x0F",            /*  2 compressed                                      */
    "\0",              /*  3 proportional                                    */
    "\x1BW1",          /*  4 expanded on                                     */
    "\x1BW0",          /*  5 expanded off                                    */
    "\x1BE\x1BG",      /*  6 boldface on (both emphasized & enhanced)        */
    "\x1BF\x1BH",      /*  7 boldface off                                    */
    "\x1B-1",          /*  8 underline on                                    */
    "\x1B-0",          /*  9 underline off                                   */
    "\x1BX0\x1B7",     /* 10 normal character set (DP mode)                  */
    "\x1B6",           /* 11 alternate char set                              */
    "\x1BX1",          /* 12 second alt char set (Correspondence Mode)       */
    "\0",              /* 13 graphics char set                               */
    "\x0C",            /* 14 form feed                                       */
    "\x1BA\x0C\x1B2",  /* 15 1/6 inch line spacing (normal)                  */
    "\x1B0",           /* 16 1/8 inch line spacing                           */
    "\x12\x1BW0\x1BF\x1BH\x1B-0\x1B0\x1bX0\x1B7\x1BA\x0C\x1B2", /*  17 reset */

    "ids-prism", 
    "\x1d",            /*  0 pica (compressed off)                      */
    "\x1e",            /*  1 elite(not available)                       */
    "\x1f",            /*  2 compressed                                 */
    "\x10",            /*  3 proportional                               */
    "\x01",            /*  4 expanded on                                */
    "\x02",            /*  5 expanded off                               */
    "\0",              /*  6 boldface on (both emphasized & enhanced)   */
    "\0",              /*  7  boldface off                              */
    "\0",              /*  8 underline on                               */
    "\0",              /*  9 underline off                              */
    "\0",              /* 10 normal character set (DP mode)             */
    "\0",              /* 11 alternate char set                         */
    "\0",              /* 12 second alt char set (Correspondence Mode)  */
    "\x03",            /* 13 graphics char set                          */
    "\x0C",            /* 14 form feed                                  */
    "\0",              /* 15 1/6 inch line spacing (normal)             */
    "\0",              /* 16 1/8 inch line spacing                      */
    "\x1d\x02",        /* 17 reset                                      */

    "okidata",
    "\x1e",            /*  0 pica (compressed off)                      */
    "\x1c",            /*  1 elite                                      */
    "\x1d",            /*  2 compressed                                 */
    "\0",              /*  3 proportional                               */
    "\x1f",            /*  4 expanded on                                */
    "\x1e",            /*  5 expanded off                               */
    "\x1bT",           /*  6 boldface on (both emphasized & enhanced)   */
    "\x1bI",           /*  7 boldface off                               */
    "\x1bC",           /*  8 underline on                               */
    "\x1bD",           /*  9 underline off                              */
    "\x1b0",           /* 10 normal character set (DP mode)             */
    "\x1b\x31",        /* 11 alt char set (Correspondence Mode)         */
    "\x1b\x31",        /* 12 second alt char set (Correspondence Mode)  */
    "\x03",            /* 13 graphics char set                          */
    "\x0C",            /* 14 form feed                                  */
    "\x1b6",           /* 15 1/6 inch line spacing (normal)             */
    "\x1b8",           /* 16 1/8 inch line spacing                      */
    "\x0C\x1b0\x1e\x1bI\x1bD\x1b6",  /* 17 reset                        */

    "proprinter",
    "\x12",            /*  0 pica (compressed off)                      */
    "\1B:",            /*  1 elite(not available)                       */
    "\x0F",            /*  2 compressed                                 */
    "\0",              /*  3 proportional                               */
    "\x1BW1",          /*  4 expanded on                                */
    "\x1BW0",          /*  5 expanded off                               */
    "\x1BE",           /*  6 boldface on (both emphasized & enhanced)   */
    "\x1BF",           /*  7  boldface off                              */
    "\x1B-1",          /*  8 underline on                               */
    "\x1B-0",          /*  9 underline off                              */
    "\x1BH\x1B7",      /* 10 normal character set (DP mode)             */
    "\x1B6",           /* 11 alternate char set                         */
    "\x1BG",           /* 12 second alt char set (Correspondence Mode)  */
    "\0",              /* 13 graphics char set                          */
    "\x0C",            /* 14 form feed                                  */
    "\x1BA\x0C\x1B2",  /* 15 1/6 inch line spacing (normal)             */
    "\x1B0",           /* 16 1/8 inch line spacing                      */
    "\x12\x1BW0\x1BF\x1BH\x1B-0\x1B7\x1BA\x0C\x1B2",  /* 17 reset       */

    "ibm-graphics",
    "\x12",            /*  0 pica (compressed off)                      */
    "\0",              /*  1 elite (not available)                      */
    "\x0F",            /*  2 compressed                                 */
    "\0",              /*  3 proportional                               */
    "\x1BW1",          /*  4 expanded on                                */
    "\x1BW0",          /*  5 expanded off                               */
    "\x1BE\x1BG",      /*  6 boldface on (both emphasized & enhanced)   */
    "\x1BF\x1BH",      /*  7  boldface off                              */
    "\x1B-1",          /*  8 underline on                               */
    "\x1B-0",          /*  9 underline off                              */
    "\x1B7",           /* 10 normal character set                       */
    "\x1B6",           /* 11 alternate char set                         */
    "\0",              /* 12 second alt char set                        */
    "\0",              /* 13 graphics char set                          */
    "\x0C",            /* 14 form feed                                  */
    "\x1B2",           /* 15 1/6 inch line spacing (normal)             */
    "\x1B0",           /* 16 1/8 inch line spacing                      */
    "\x12\x1BW0\x1BF\x1BH\x1B-0\x1B0\x1bX0\x1B7\x1BA\x0C\x1B2",
                       /* 17 reset                                      */

    "gemini",
    "\x1bB1\x12",      /*  sets 10 CPI                                  */
    "\x1bB2",          /*  1 elite                                      */
    "\x1bB3\x0F",      /*  2 compressed                                 */
    "\0",              /*  3 proportional                               */
    "\x1bW1",          /*  4 constant double width mode                 */
    "\x1bW0",          /*  5 cancels double width mode                  */
    "\x1bG",           /*  6 double strike                              */
    "\x1bH",           /*  7 cancel double strike                       */
    "\x1b-1",          /*  8 underline on                               */
    "\x1b-0",          /*  9 underline off                              */
    "\x1b5",           /* 10 normal character set (DP mode)             */
    "\x1b4",           /* 11 alternate char set (Italics)               */
    "\0",              /* 12 second alt char set (Correspondence Mode)  */
    "\0",              /* 13 graphics char set                          */
    "\x0C",            /* 14 form feed                                  */
    "\x1b2",           /* 15 1/6 inch line spacing (normal)             */
    "\x1b0",           /* 16 1/8 inch line spacing                      */
    "\x1b@",           /* 17 reset                                      */

    "radio-shack",
    "\0",                /*  0 pica (compressed off)                      */
    "\x1b\x0f",          /*  1 elite(not available)                       */
    "\0",                /*  2 compressed                                 */
    "\x1b\x11",          /*  3 proportional                               */
    "\0",                /*  4 expanded on                                */
    "\0",                /*  5 expanded off                               */
    "\0",                /*  6 boldface on (both emphasized & enhanced)   */
    "\0",                /*  7  boldface off                              */
    "\x0f",              /*  8 underline on                               */
    "\x0e",              /*  9 underline off                              */
    "\0",                /* 10 normal character set (DP mode)             */
    "\0",                /* 11 alternate char set                         */
    "\0",                /* 12 second alt char set (Correspondence Mode)  */
    "\0",                /* 13 graphics char set                          */
    "\x0C",              /* 14 form feed                                  */
    "\0",                /* 15 1/6 inch line spacing (normal)             */
    "\0",                /* 16 1/8 inch line spacing                      */
    "\x1b\x0f\x0e",      /* 17 reset                                      */

    "oki100-ibm",
    "\x12",            /*  0 pica (compressed off)                           */
    "\x1B:",           /*  1 elite                                           */
    "\x0F",            /*  2 compressed                                      */
    "\0",              /*  3 proportional                                    */
    "\x1BW1",          /*  4 expanded on                                     */
    "\x1BW0",          /*  5 expanded off                                    */
    "\x1BE",           /*  6 boldface on                                     */
    "\x1BF",           /*  7 boldface off                                    */
    "\x1B-1",          /*  8 underline on                                    */
    "\x1B-0",          /*  9 underline off                                   */
    "\x1BI1\x1B%H",    /* 10 normal character set (DP mode, Italics off)     */
    "\x1BI1\x1B%G",    /* 11 alternate char set   (DP mode, Italics on)      */
    "\x1BI3",          /* 12 second alt char set (Correspondence Mode)       */
    "\0",              /* 13 graphics char set                               */
    "\x0C",            /* 14 form feed                                       */
    "\x1BA\x0C\x1B2",  /* 15 1/6 inch line spacing (normal)                  */
    "\x1B0",           /* 16 1/8 inch line spacing                           */
    "\x12\x1BW0\x1BF\x1B-0\x1BI1\x1B%H\x1BA\x0C\x1B2", /*           17 reset */

    "nec-pinwriter",
    "\x1b\x3f1",       /*  0 pica (compressed off)                      */
    "\x1b\x3f3",       /*  1 elite (not available)                      */
    "\x1b\x3f7",       /*  2 compressed                                 */
    "\x0f",            /*  3 proportional                               */
    "\x1bW1",          /*  4 expanded on                                */
    "\x1bW0",          /*  5 expanded off                               */
    "\x1bE",           /*  6 boldface on (both emphasized & enhanced)   */
    "\x1bF",           /*  7  boldface off                              */
    "\x1b\x2dI",       /*  8 underline on                               */
    "\x1b\x2d0",       /*  9 underline off                              */
    "\x1b7",           /* 10 normal character set (DP mode)             */
    "\x1b6",           /* 11 alternate char set                         */
    "\0",              /* 12 second alt char set (Correspondence Mode)  */
    "\0",              /* 13 graphics char set                          */
    "\x0C",            /* 14 form feed                                  */
    "\x1bA20\x1b2",    /* 15 1/6 inch line spacing (normal)             */
    "\x1b0",           /* 16 1/8 inch line spacing                      */
    "\x1b\x3f1\x1bW0\x1bF\x1b\x2d0\x1b7\x1b0",   /* 17 reset            */

    0, 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0  /*  Null-terminate the list  */
};

